"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = toMomentObject;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var _moment = _interopRequireDefault(require("moment"));

var _constants = require("../constants");

function toMomentObject(dateString, customFormat) {
  var dateFormats = customFormat ? [customFormat].concat((0, _toConsumableArray2["default"])(_constants.ADDITIONAL_INPUT_FORMATS), [_constants.DISPLAY_FORMAT, _constants.ISO_FORMAT]) : [].concat((0, _toConsumableArray2["default"])(_constants.ADDITIONAL_INPUT_FORMATS), [_constants.DISPLAY_FORMAT, _constants.ISO_FORMAT]);
  var date = (0, _moment["default"])(dateString, dateFormats, true);
  return date.isValid() ? date.hour(12) : null;
}